GNU bug report logs - #29113
Warnings when starting vim: Relink <libpng/libfreetype> with <libpthread> for IFUNC symbol `longjmp'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: "B. Wilson" <x@HIDDEN>; Keywords: patch; dated Thu, 2 Nov 2017 06:11:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) patch. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 29113 <at> debbugs.gnu.org:


Received: (at 29113) by debbugs.gnu.org; 24 Nov 2017 13:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 24 08:25:56 2017
Received: from localhost ([127.0.0.1]:54810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eIDzQ-00079Y-3a
	for submit <at> debbugs.gnu.org; Fri, 24 Nov 2017 08:25:56 -0500
Received: from hera.aquilenet.fr ([141.255.128.1]:39524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eIDzO-00079Q-MH
 for 29113 <at> debbugs.gnu.org; Fri, 24 Nov 2017 08:25:55 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id DF06D1006D;
 Fri, 24 Nov 2017 14:25:55 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id B57CoPgNXqLl; Fri, 24 Nov 2017 14:25:53 +0100 (CET)
Received: from ribbon (unknown [193.50.110.215])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id CD71C10069;
 Fri, 24 Nov 2017 14:25:52 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#29113: Warnings when starting vim: Relink
 <libpng/libfreetype>	with <libpthread> for IFUNC symbol `longjmp'
References: <20171102051501.37coaia27mrpb5xg@lang>
 <87po8ap3h4.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 Frimaire an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 24 Nov 2017 14:25:49 +0100
In-Reply-To: <87po8ap3h4.fsf@HIDDEN> (Marius Bakke's message of "Wed, 22
 Nov 2017 19:34:15 +0100")
Message-ID: <87a7zbdd0i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 29113
Cc: 29113 <at> debbugs.gnu.org, "B. Wilson" <x@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi,

Marius Bakke <mbakke@HIDDEN> skribis:

> "B. Wilson" <x@HIDDEN> writes:
>
>> Hello,
>>
>> I recently installed vim-full (8.0.1207) and it's throwing some linker (=
?)
>> warnings at me on startup. The gory details are below, and any help gett=
ing to
>> the bottom of this would be much appreciated.
>>
>>
>> ## Errors
>>
>> $ vim -u NONE -esc  # `-u NONE' disables .vimrc, `-esc q' quits immediat=
ely
>> vim: Relink `/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/l=
ib/libpng16.so.16' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-=
2.25/lib/libpthread.so.0' for IFUNC symbol `longjmp'
>> vim: Relink `/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/li=
b/libfreetype.so.6' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc=
-2.25/lib/libpthread.so.0' for IFUNC symbol `longjmp'
>
> Hello,
>
> This is a known problem in glibc that has recently been fixed AFAICT.
>
> https://sourceware.org/bugzilla/show_bug.cgi?id=3D21041
>
> It was also "backported" to the 2.26 release branch:
>
> https://sourceware.org/git/?p=3Dglibc.git;a=3Dcommit;h=3D88758c4ad3f046d0=
50bc2c3ae0f172b6524ca6c2
>
> We currently have 2.26 in 'core-updates' which hasn't started building
> yet.  Perhaps we should include this fix, thoughts?

I=E2=80=99m unclear on the consequences of the bug, but merging the fix sou=
nds
like a good idea.

Ludo=E2=80=99.





Information forwarded to bug-guix@HIDDEN:
bug#29113; Package guix. Full text available.

Message received at 29113 <at> debbugs.gnu.org:


Received: (at 29113) by debbugs.gnu.org; 22 Nov 2017 18:34:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 22 13:34:19 2017
Received: from localhost ([127.0.0.1]:53065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eHZql-0005YL-1U
	for submit <at> debbugs.gnu.org; Wed, 22 Nov 2017 13:34:19 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:60245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1eHZqj-0005YA-En
 for 29113 <at> debbugs.gnu.org; Wed, 22 Nov 2017 13:34:17 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 0DB1620861;
 Wed, 22 Nov 2017 13:34:17 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute5.internal (MEProxy); Wed, 22 Nov 2017 13:34:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; bh=sFUwjuSdv/hHAVjGNAjBvrwIH/qvBrQW5aEp+AcbaxI=; b=uFoyuOXz
 9ium8kmrjVtwpg0TeXGgs6HhC/Rq1Pvmmm6Oz9bPa0REESj0c/FLHFmZM+4u/nh6
 OoJzTgRMwQGBxiOj30c+Y+ay4BYx0BPzRTJqNM6Oowh50dm2YjLvgYvnxo+xfgxZ
 nWm4m/QBcJlp0HwQ470iMdGKqmvCZW1dqw3I/IGCRxUF8F9QfwLHRQ1GN70EXPDp
 kUsDS1jZbqE4qqWe2aaCMjy+RJTJ0ehp2vniqu/m/AZ8RGKe8fUR2/Dm+ICo5BVE
 bASJ6wpIjy7Hf66EWSyJX0AUQh6nfspThAaR22vTLe699bHHGAaic/V5Zw2Bjoe1
 u8EzHjjdRDOowQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=sFUwjuSdv/hHAVjGNAjBvrwIH/qvB
 rQW5aEp+AcbaxI=; b=cC9WbYDYkdLq9uS4AY0k5UlY1GHqZM4g5rSPM1I1SDl23
 KVWX0G7wO6Mo1kOsHACtxZkIAh4KVijXHwpBXfSS8NVIFvE5bdYS/nd1HA4K9vOC
 q9m1rcHJ5v5spSx/kr3I9CKKBeBNVlJOETkS6xBTqUcyaC1AkwBe7xQr9Ah88Snc
 MYOmkWzLzVgORvyx1qUcqakxmhkpx+viOxo/bG4XPATV4EH7bt0D8QPfquMxRP+i
 Yu5n4xmIUBqI/Tr7VujfXuIQXX5UnENHeb6WcCge32HEL/04qOFFM/8bRDIsaei6
 XZRItpMPTL+31Dwug6LmCQ+JyYMkKjqYmQV2zTevA==
X-ME-Sender: <xms:KMMVWiI2LWx1zo85e951m0dIPnQwKvNeu4NNO2mJvN9ICOd5eC5WYw>
Received: from localhost (cm-84.214.173.174.getinternet.no [84.214.173.174])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8B5A3244E7;
 Wed, 22 Nov 2017 13:34:16 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: "B. Wilson" <x@HIDDEN>, 29113 <at> debbugs.gnu.org
Subject: Re: bug#29113: Warnings when starting vim: Relink
 <libpng/libfreetype>	with <libpthread> for IFUNC symbol `longjmp'
In-Reply-To: <20171102051501.37coaia27mrpb5xg@lang>
References: <20171102051501.37coaia27mrpb5xg@lang>
User-Agent: Notmuch/0.25.2 (https://notmuchmail.org) Emacs/25.3.1
 (x86_64-pc-linux-gnu)
Date: Wed, 22 Nov 2017 19:34:15 +0100
Message-ID: <87po8ap3h4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29113
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain

"B. Wilson" <x@HIDDEN> writes:

> Hello,
>
> I recently installed vim-full (8.0.1207) and it's throwing some linker (?)
> warnings at me on startup. The gory details are below, and any help getting to
> the bottom of this would be much appreciated.
>
>
> ## Errors
>
> $ vim -u NONE -esc  # `-u NONE' disables .vimrc, `-esc q' quits immediately
> vim: Relink `/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/lib/libpng16.so.16' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.25/lib/libpthread.so.0' for IFUNC symbol `longjmp'
> vim: Relink `/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib/libfreetype.so.6' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.25/lib/libpthread.so.0' for IFUNC symbol `longjmp'

Hello,

This is a known problem in glibc that has recently been fixed AFAICT.

https://sourceware.org/bugzilla/show_bug.cgi?id=21041

It was also "backported" to the 2.26 release branch:

https://sourceware.org/git/?p=glibc.git;a=commit;h=88758c4ad3f046d050bc2c3ae0f172b6524ca6c2

We currently have 2.26 in 'core-updates' which hasn't started building
yet.  Perhaps we should include this fix, thoughts?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAloVwycACgkQoqBt8qM6
VPrjWwf/Xq21oKkw+f3MYu1d7tVsmJp0SpYNIoBgNon0rOiY/O7n8lgZtzxk8qtL
xiGdOP0yYK4HJkZfF2U+BVeAcSP2vJjh8wQJBxWI0p2nCLSL3idlFchzpl6oA500
/GhWWvH3O3W5oe6phES5yit1fcx76wD2CFjkw4KxJK4k7NQ3SX/g9z9dudSuPZ/e
bYVzyE4BNk1aKXANbleQvqyI+8ugsLPakG2uE76hWsvWQr1gEiRNYwwGEIf3FjUc
2pLAKsYKQ/4ZkdnolJl4z7Dzm7kmb7ko1iBEG5TbI01AUc82QjxrbViV139OBwZ1
1tZtt6wxN0fP9rVO2u66paSeDJewaw==
=h4CU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#29113; Package guix. Full text available.

Message received at 29113 <at> debbugs.gnu.org:


Received: (at 29113) by debbugs.gnu.org; 2 Nov 2017 13:58:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 02 09:58:34 2017
Received: from localhost ([127.0.0.1]:48061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eAG0w-0004ZA-2V
	for submit <at> debbugs.gnu.org; Thu, 02 Nov 2017 09:58:34 -0400
Received: from aibo.runbox.com ([91.220.196.211]:48224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1eAG0u-0004Yz-G3
 for 29113 <at> debbugs.gnu.org; Thu, 02 Nov 2017 09:58:33 -0400
Received: from [10.9.9.212] (helo=mailfront12.runbox.com)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>)
 id 1eAG0t-0000n8-0J; Thu, 02 Nov 2017 14:58:31 +0100
Received: from [179.43.146.230] (helo=localhost)
 by mailfront12.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82)
 id 1eAG0r-0004SP-VY; Thu, 02 Nov 2017 14:58:30 +0100
Date: Thu, 2 Nov 2017 13:58:27 +0000
From: ng0 <ng0@HIDDEN>
To: "B. Wilson" <x@HIDDEN>
Subject: Re: bug#29113: Warnings when starting vim: Relink
 <libpng/libfreetype> with <libpthread> for IFUNC symbol `longjmp'
Message-ID: <20171102135827.n5vd63o3xnttum35@abyayala>
References: <20171102051501.37coaia27mrpb5xg@lang>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="qcwqxlvkltlvb5lo"
Content-Disposition: inline
In-Reply-To: <20171102051501.37coaia27mrpb5xg@lang>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29113
Cc: 29113 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--qcwqxlvkltlvb5lo
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi,

B. Wilson transcribed 8.7K bytes:
> Hello,
>=20
> I recently installed vim-full (8.0.1207) and it's throwing some linker (?)
> warnings at me on startup. The gory details are below, and any help getti=
ng to
> the bottom of this would be much appreciated.
>=20
>=20
> ## Errors
>=20
> $ vim -u NONE -esc  # `-u NONE' disables .vimrc, `-esc q' quits immediate=
ly
> vim: Relink `/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/li=
b/libpng16.so.16' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2=
=2E25/lib/libpthread.so.0' for IFUNC symbol `longjmp'
> vim: Relink `/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib=
/libfreetype.so.6' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-=
2.25/lib/libpthread.so.0' for IFUNC symbol `longjmp'

I can confirm this. It was known to myself for a long time already,
I didn't classify it as a bug though and therefore didn't report it.


I've tested your report and could reproduce it on GuixSD:

guix environment --ad-hoc vim-full -- vim

The following derivations will be built:
   /gnu/store/lg0k1gz8aijqynnprhqavy4sqdky7l3c-profile.drv
   /gnu/store/zah7wq2c3c91dqz2b87hllwwkrjf1rar-ca-certificate-bundle.drv
   /gnu/store/wf0dr0n3nmiyi8bm2p5dmsf643gsfw6y-info-dir.drv
   /gnu/store/sjlcdgdcmh6v33mmm5amq3qg1hf9vk7q-gtk-im-modules.drv
   /gnu/store/nxbl1x9w8ihxl0sryzffabrxq6n328nz-xdg-desktop-database.drv
   /gnu/store/gxz4zzcnnkyfad2kz761wafipm6c0wx9-fonts-dir.drv
   /gnu/store/999550nc42j0y2gi8xx5f6pvaz71sv92-gtk+-2.24.31.drv
   /gnu/store/24xqg184zjnizpfzgn9xb7pklk14g9c9-gtk-icon-themes.drv
   /gnu/store/1vyhx7i25jd2zl1729fl4dw93rg3x1lk-xdg-mime-database.drv
   /gnu/store/dzdhhsarb6ww1ab16a1igl6a6xlpnb7i-vim-full-8.0.1207.drv
   /gnu/store/s43378pnidpk2mvv7pfdbbxp0ra2bxgn-manual-database.drv
13.0 MB will be downloaded:
   /gnu/store/9hb5qppdfpibnfgm8lr7gqyzcfh84smq-vim-full-8.0.1207
Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/9hb5qppdfpibnfgm8lr7=
gqyzcfh84smq-vim-full-8.0.1207...
 vim-full-8.0.1207  12.4MiB            0B/s 00:12 [                    ]   =
0.0%

grafting '/gnu/store/h751h6b615w9v6r1amyhxvqqi98kimrs-gtk+-2.24.31' -> '/gn=
u/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31'...
grafting '/gnu/store/9hb5qppdfpibnfgm8lr7gqyzcfh84smq-vim-full-8.0.1207' ->=
 '/gnu/store/jbpkmj3acvjghjbf14372vwm4rs15c4n-vim-full-8.0.1207'...
Creating manual page database for 0 packages... done in 0.004 s
vim: Relink `/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/lib/=
libpng16.so.16' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.2=
5/lib/libpthread.so.0' for IFUNC symbol `longjmp'
vim: Relink `/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib/l=
ibfreetype.so.6' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.=
25/lib/libpthread.so.0' for IFUNC symbol `longjmp'




> ## Environment
>=20
> $ lsb_release -a
> LSB Version:	1.0
> Distributor ID:	VoidLinux
> Description:	Void Linux
> Release:	rolling
> Codename:	void
>=20
> $ guix --version
> guix (GNU Guix) 5010d0e36452882eb95666467bb983efa8cca081
> ...
>=20
> $ guix package -I vim-full
> vim-full 8.0.1207 out /gnu/store/jbpkmj3acvjghjbf14372vwm4rs15c4n-vim-ful=
l-8.0.1207
>=20
> $ vim --version
> <copied and formatted below>
>=20
> ## Extra Information
>=20
> There does appear to be one other instance of a user experiencing the same
> errors but with the package `rofi'. The relevant thread is #28168. In this
> case, a simple `guix pull && guix package -u' seemed to get rid of the wa=
rnings
> for them. That's not working for me, and in any case I'd like to figure o=
ut
> exactly what's going on.
>=20
>=20
> ## Vim Version
>=20
> VIM - Vi IMproved 8.0 (2016 Sep 12, compiled Jan  1 1970 00:00:01)
> Included patches: 1-1207
> Compiled by nixbld@localhost
> Huge version with GTK2 GUI.  Features included (+) or not (-):
> +acl             +file_in_path    +mouse_sgr       +tag_old_static
> +arabic          +find_in_path    -mouse_sysmouse  -tag_any_white
> +autocmd         +float           +mouse_urxvt     +tcl
> +balloon_eval    +folding         +mouse_xterm     +termguicolors
> +browse          -footer          +multi_byte      +terminal
> ++builtin_terms  +fork()          +multi_lang      +terminfo
> +byte_offset     +gettext         -mzscheme        +termresponse
> +channel         -hangul_input    +netbeans_intg   +textobjects
> +cindent         +iconv           +num64           +timers
> +clientserver    +insert_expand   +packages        +title
> +clipboard       +job             +path_extra      +toolbar
> +cmdline_compl   +jumplist        +perl            +user_commands
> +cmdline_hist    +keymap          +persistent_undo +vertsplit
> +cmdline_info    +lambda          +postscript      +virtualedit
> +comments        +langmap         +printer         +visual
> +conceal         +libcall         +profile         +visualextra
> +cryptv          +linebreak       -python          +viminfo
> +cscope          +lispindent      +python3         +vreplace
> +cursorbind      +listcmds        +quickfix        +wildignore
> +cursorshape     +localmap        +reltime         +wildmenu
> +dialog_con_gui  +lua             +rightleft       +windows
> +diff            +menu            +ruby            +writebackup
> +digraphs        +mksession       +scrollbind      +X11
> +dnd             +modify_fname    +signs           -xfontset
> -ebcdic          +mouse           +smartindent     +xim
> +emacs_tags      +mouseshape      +startuptime     +xpm
> +eval            +mouse_dec       +statusline      +xsmp_interact
> +ex_extra        +mouse_gpm       -sun_workshop    +xterm_clipboard
> +extra_search    -mouse_jsbterm   +syntax          -xterm_save
> +farsi           +mouse_netterm   +tag_binary     =20
>    system vimrc file: "$VIM/vimrc"
>      user vimrc file: "$HOME/.vimrc"
>  2nd user vimrc file: "~/.vim/vimrc"
>       user exrc file: "$HOME/.exrc"
>   system gvimrc file: "$VIM/gvimrc"
>     user gvimrc file: "$HOME/.gvimrc"
> 2nd user gvimrc file: "~/.vim/gvimrc"
>        defaults file: "$VIMRUNTIME/defaults.vim"
>     system menu file: "$VIMRUNTIME/menu.vim"
>   fall-back for $VIM: "
> /gnu/store/jbpkmj3acvjghjbf14372vwm4rs15c4n-vim-full-8.0.1207/share/vim"
> Compilation:
> gcc -c
>     -I.
>     -Iproto
>     -DHAVE_CONFIG_H
>     -DFEAT_GUI_GTK
>     -pthread
>     -I/gnu/store/jc0vlr9c8ss28r9cv5ics2bxm3qix0aw-atk-2.24.0/include/atk-=
1.0
>     -I/gnu/store/jnz46rnx9a10jvlkal3ddkc122k9n5vc-cairo-1.14.10/include/c=
airo
>     -I/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/include/fr=
eetype2
>     -I/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/include/l=
ibpng16
>     -I/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/include/fr=
eetype2
>     -I/gnu/store/ialqfsfb6r966h2laln3dz78zfq952hh-gdk-pixbuf-2.36.10/incl=
ude/gdk-pixbuf-2.0
>     -I/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/include/gli=
b-2.0
>     -I/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/lib/glib-2.=
0/include
>     -I/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/include/gt=
k-2.0
>     -I/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/lib/gtk-2.=
0/include
>     -I/gnu/store/d38nlz5qndhf677ckbrmb2hn5b63yiyx-harfbuzz-1.5.1/include/=
harfbuzz
>     -I/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/include/l=
ibpng16
>     -I/gnu/store/di9m4c8pw87ybpwlpyrmppmf9k0li8js-pango-1.40.12/include/p=
ango-1.0
>     -I/gnu/store/d7mj8cqdrh8c9ydnrv6zzd48lmb044yz-pixman-0.34.0/include/p=
ixman-1
>     -g
>     -O2
>     -U_FORTIFY_SOURCE
>     -D_FORTIFY_SOURCE=3D1
>=20
> Linking:
> gcc -L/gnu/store/jc0vlr9c8ss28r9cv5ics2bxm3qix0aw-atk-2.24.0/lib
>     -L/gnu/store/jnz46rnx9a10jvlkal3ddkc122k9n5vc-cairo-1.14.10/lib
>     -L/gnu/store/a78cx94n43fd4gkasjqzjhjldg2bhipi-fontconfig-2.12.3/lib
>     -L/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib
>     -L/gnu/store/ialqfsfb6r966h2laln3dz78zfq952hh-gdk-pixbuf-2.36.10/lib
>     -L/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/lib
>     -L/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/lib
>     -L/gnu/store/di9m4c8pw87ybpwlpyrmppmf9k0li8js-pango-1.40.12/lib
>     -L.
>     -fstack-protector
>     -rdynamic
>     -Wl,-export-dynamic
>     -Wl,-E
>     -Wl,-rpath,/gnu/store/gqz3akl1w51v33vcfjsbg1mym5ww3sww-perl-5.26.0/li=
b/perl5/5.26.0/x86_64-linux-thread-multi/CORE
>     -Wl,--as-needed
>     -o vim
>     -L/gnu/store/jc0vlr9c8ss28r9cv5ics2bxm3qix0aw-atk-2.24.0/lib
>     -L/gnu/store/jnz46rnx9a10jvlkal3ddkc122k9n5vc-cairo-1.14.10/lib
>     -L/gnu/store/a78cx94n43fd4gkasjqzjhjldg2bhipi-fontconfig-2.12.3/lib
>     -L/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib
>     -L/gnu/store/ialqfsfb6r966h2laln3dz78zfq952hh-gdk-pixbuf-2.36.10/lib
>     -L/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/lib
>     -L/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/lib
>     -L/gnu/store/di9m4c8pw87ybpwlpyrmppmf9k0li8js-pango-1.40.12/lib
>     -lgtk-x11-2.0
>     -lgdk-x11-2.0
>     -lpangocairo-1.0
>     -latk-1.0
>     -lcairo
>     -lgdk_pixbuf-2.0
>     -lgio-2.0
>     -lpangoft2-1.0
>     -lpango-1.0
>     -lgobject-2.0
>     -lglib-2.0
>     -lfontconfig
>     -lfreetype
>     -lSM
>     -lICE
>     -lXpm
>     -lXt
>     -lX11
>     -lXdmcp
>     -lSM
>     -lICE
>     -lm
>     -lncurses
>     -lnsl
>     -lacl
>     -lattr
>     -lgpm
>     -ldl
>     -L/gnu/store/12yp700dkx6rf17lkf8pgq43nxmhr0lx-lua-5.3.4/lib
>     -llua
>     -Wl,-E
>     -Wl,-rpath,/gnu/store/gqz3akl1w51v33vcfjsbg1mym5ww3sww-perl-5.26.0/li=
b/perl5/5.26.0/x86_64-linux-thread-multi/CORE
>     -fstack-protector-strong
>     -L/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.25/lib
>     -L/gnu/store/gqz3akl1w51v33vcfjsbg1mym5ww3sww-perl-5.26.0/lib/perl5/5=
=2E26.0/x86_64-linux-thread-multi/CORE
>     -lperl
>     -lpthread
>     -lnsl
>     -ldl
>     -lm
>     -lcrypt
>     -lutil
>     -lc
>     -L/gnu/store/2dlpgzv0rmfd7v71d6h2gc7r2251hzwh-python-3.5.3/lib/python=
3.5/config-3.5m
>     -lpython3.5m
>     -lpthread
>     -ldl
>     -lutil
>     -lm
>     -L/gnu/store/1hl6bvvh1rxwj6p5npf36m2r3n7xvqdw-tcl-8.6.6/lib
>     -ltcl8.6
>     -ldl
>     -lpthread
>     -lieee
>     -lm
>     -Wl,-rpath,/gnu/store/vam0l4xw5v09b0kdfsm7hkfsv0c3ypy2-ruby-2.4.2/lib
>     -L/gnu/store/vam0l4xw5v09b0kdfsm7hkfsv0c3ypy2-ruby-2.4.2/lib
>     -lruby-static
>     -lpthread
>     -ldl
>     -lcrypt
>     -lm
>     -L/gnu/store/vam0l4xw5v09b0kdfsm7hkfsv0c3ypy2-ruby-2.4.2/lib
>=20
>=20
>=20
>=20
> --=20
> =E3=82=A6=E3=82=A3=E3=83=AB=E3=82=BD=E3=83=B3 =E3=83=96=E3=83=A9=E3=83=B3=
=E3=83=89=E3=83=B3
> =E6=97=A9=E7=A8=B2=E7=94=B0=E5=A4=A7=E5=AD=A6=E5=9F=BA=E5=B9=B9=E7=90=86=
=E5=B7=A5=E5=AD=A6=E7=A0=94=E7=A9=B6=E7=A7=91=E5=BF=9C=E7=94=A8=E6=95=B0=E5=
=AD=A6=E5=B0=82=E6=94=BB
>=20
> Brandon M. Wilson
> Waseda University
> School of Fundamental Science and Engineering
> Department of Applied Mathematics



--=20
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org

--qcwqxlvkltlvb5lo
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAln7JIMACgkQ4i+bv+40
hYiwNA/+LLfV3tmmqxprg/oB7v5CJbsE2cJO9aLXmiBwEzcfOWIYO+JJVxyD3MKw
BdadAciPdT5RvsICJBWYBEZ8eja05QGvUYDtaEq9vVocx+zHs9A+IsEPWkqQyHKj
k8Ub6Tf6e6ww8sdRPtPwmWW/xuFReIOGOj493+SFfmc7K0bKlCDRZUTT262TzkgF
4NaZdG8mOFQXnww/krUxvp6yxu4kdHwm7aJ8rmQ8x2IWkrKnivEFngrzRH/1WTVH
0zOCw5oeg0S4hTFL8RnjlTZlJLcl7qI3DkL+UmRbEjSROQHnWEYyNQ8S2OoC7mw2
59J6I80pJ1h8qwKW0qTeYIv1uhl8RdvLzvggZwaEZ19ai0zbdoENwRHogpLwHIPg
bTDo9HiGMK8Uao5hFWzJFQ+/l8IY5PpDGfI3TSkVLmk0HVvSPrkwn4bFuRhVi0vV
GRvna1NE/9JurEAYqpyBQEM0UvnTVSIVC0iJLoPzs0GbfiUxdiRJ6EDRei4C/7Ub
kayz484+S7MWPOjlW6AtiReDwd0ccpH2hIXiaZZE2FXHSbZCN1Vn3I94/ZrLocbd
cgjkf1c8+NQGjkCejW7xaiYYeGgnb/tvt47eBb11YmbCr98vmqjqP3XfCrEN/JQV
M5hBkIUS7cY7wBfI1qqvCl2X+6392U9LbcrIiFcgdKqrTlLWrf8=
=fIhQ
-----END PGP SIGNATURE-----

--qcwqxlvkltlvb5lo--




Information forwarded to bug-guix@HIDDEN:
bug#29113; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2017 06:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 02 02:10:57 2017
Received: from localhost ([127.0.0.1]:46753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eA8iM-0005gW-Uk
	for submit <at> debbugs.gnu.org; Thu, 02 Nov 2017 02:10:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bounce+c09bcb.159fc9-bug-guix=gnu.org@HIDDEN>)
 id 1eA8A8-0004lq-Hq
 for submit <at> debbugs.gnu.org; Thu, 02 Nov 2017 01:35:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bounce+c09bcb.159fc9-bug-guix=gnu.org@HIDDEN>)
 id 1eA8A1-00013S-Oe
 for submit <at> debbugs.gnu.org; Thu, 02 Nov 2017 01:35:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50321)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <bounce+c09bcb.159fc9-bug-guix=gnu.org@HIDDEN>)
 id 1eA8A1-00013A-Js
 for submit <at> debbugs.gnu.org; Thu, 02 Nov 2017 01:35:25 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49922)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bounce+c09bcb.159fc9-bug-guix=gnu.org@HIDDEN>)
 id 1eA89z-0002HF-PI
 for bug-guix@HIDDEN; Thu, 02 Nov 2017 01:35:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bounce+c09bcb.159fc9-bug-guix=gnu.org@HIDDEN>)
 id 1eA89u-0000y8-Pj
 for bug-guix@HIDDEN; Thu, 02 Nov 2017 01:35:23 -0400
Received: from mail-s74.mailgun.info ([184.173.153.202]:58998)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71)
 (envelope-from <bounce+c09bcb.159fc9-bug-guix=gnu.org@HIDDEN>)
 id 1eA89u-0000xU-Hj
 for bug-guix@HIDDEN; Thu, 02 Nov 2017 01:35:18 -0400
DKIM-Signature: a=rsa-sha256; v=1; c=relaxed/relaxed; d=mail.wilsonb.com;
 q=dns/txt; 
 s=mailo; t=1509600918; h=Content-Type: MIME-Version: Message-ID:
 Subject: To: From: Date: Sender;
 bh=AoPHyz6gjug0NVkpl+Oit09iYqLQNOkuax3C6FmVEJ8=;
 b=nfOTAmlPiwVfZoPixEUrOZFYROGepRRxIGPAtOpDi4IUwUhrIApBIFyW2hxyVxbKemvKFH35
 EWFErYN4148MaTMsCzgQexzMxhLaFflj3XXJ1G3NBxGkWlt7Kpfncicums0NcimXuBX2eP61
 SwKnQAJAsD2Nl9Tz9JrM0+xhnEs=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=mail.wilsonb.com; s=mailo;
 q=dns; h=Sender: Date: From: To: Subject: Message-ID: MIME-Version:
 Content-Type;
 b=Hh20CSBZo6vQ1rjeueYgubJy0raFfGedD+fafLw14cxgePjGDJJj/tunZ4Io6EjBgyuaI0
 8XFUzs1Ex6liCYPKb0hAvPxop5BB9fsFTsQ1nAnlrJGTpoioEoAz6jIfIurRdBZwNFlqS7vp
 BZWHIOJw9HqdqSMEMdqAv4kjigIe8=
X-Mailgun-Sending-Ip: 184.173.153.202
X-Mailgun-Sid: WyI5MjFmMCIsICJidWctZ3VpeEBnbnUub3JnIiwgIjE1OWZjOSJd
Received: from wilsonb.com (42.203.199.104.bc.googleusercontent.com
 [104.199.203.42])
 by mxa.mailgun.org with ESMTP id 59faa9e0.7facf4937270-smtp-out-n03;
 Thu, 02 Nov 2017 05:15:12 -0000 (UTC)
Received: from localhost (KD106181105007.au-net.ne.jp [106.181.105.7])
 by wilsonb.com (Postfix) with ESMTPSA id 6F2E2A052F
 for <bug-guix@HIDDEN>; Thu,  2 Nov 2017 05:15:08 +0000 (UTC)
Authentication-Results: smtp.wilsonb.com; dmarc=fail header.from=wilsonb.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=wilsonb.com;
 s=201703; t=1509599709;
 bh=0JlxjNH9Zb0IZ0SM8qc+QHO9I/taL2zb4AG46FD/5gY=;
 h=Date:From:To:Subject:From;
 b=SAImRgcfUtB7/4s6BJFkwyZ1aF0i8LWb3torPMXd/tlGlTl31yVzUSv1P0702XIVc
 q1pZjhVKvMG46fQgcOPh914Bt3D43beyFiDZXd3yxk2LtPBFJtAZs+/yG5+Y7Sl+f/
 QFmXwzukbsRt7SkGy3g277462gl/enNGAgCn2t2ligGI4NhM3JfJArIfZNOrtBGTGZ
 R6KjP2hyMWnxgfXFmaP38QHiFHGi5P79GOHrm1OAHWRvrSw7C+G0ObMBqVQ+Si9fb8
 +BQWItnUQZEL/EkkJhF/+5EtsuqJ4m8/spjPZk6Rop7SxFRrBKxXcrGqWf8mv/C0sQ
 aTPYGcwfXH6WEZb0Bw7mHIHCr+/fDe6qv0em6cLi0jc8eOj47KmOI3MEQ4VWU6Ye6j
 3SsoI6iQ+PqnSvLOQD8/7qsfGEQ3i1iz3VO2UBvviR2VCtToc9TWcZUuqgDBcqCMi7
 weL8UyeBkZQy8Rj6WQRU1LmzMj4eLHrWoCtPxlOF+L9e0fln1PfVfS0Jwn1dfMCbMK
 nHlTLKG0gUub15eQ/XD0qnGg34+h5AYKsX++5iOeSvgmccYlPvSjuJoV5A0149Z7ST
 XfgL8u1HKm7Y6Yj+uHJMIL4ZBYiizFW617ILyNVKaN5YoFHaoiHZcqVtn5tQKBBFbx
 lwjkxuddntlJhYwaky8gQocc=
Date: Thu, 2 Nov 2017 05:15:01 +0000
From: "B. Wilson" <x@HIDDEN>
To: bug-guix@HIDDEN
Subject: Warnings when starting vim: Relink <libpng/libfreetype> with
 <libpthread> for IFUNC symbol `longjmp'
Message-ID: <20171102051501.37coaia27mrpb5xg@lang>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="47fk3anyrzk26p7q"
Content-Disposition: inline
User-Agent: NeoMutt/20171027
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 Nov 2017 02:10:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


--47fk3anyrzk26p7q
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hello,

I recently installed vim-full (8.0.1207) and it's throwing some linker (?)
warnings at me on startup. The gory details are below, and any help getting=
 to
the bottom of this would be much appreciated.


## Errors

$ vim -u NONE -esc  # `-u NONE' disables .vimrc, `-esc q' quits immediately
vim: Relink `/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/lib/=
libpng16.so.16' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.2=
5/lib/libpthread.so.0' for IFUNC symbol `longjmp'
vim: Relink `/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib/l=
ibfreetype.so.6' with `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.=
25/lib/libpthread.so.0' for IFUNC symbol `longjmp'


## Environment

$ lsb_release -a
LSB Version:	1.0
Distributor ID:	VoidLinux
Description:	Void Linux
Release:	rolling
Codename:	void

$ guix --version
guix (GNU Guix) 5010d0e36452882eb95666467bb983efa8cca081
=2E..

$ guix package -I vim-full
vim-full 8.0.1207 out /gnu/store/jbpkmj3acvjghjbf14372vwm4rs15c4n-vim-full-=
8.0.1207

$ vim --version
<copied and formatted below>

## Extra Information

There does appear to be one other instance of a user experiencing the same
errors but with the package `rofi'. The relevant thread is #28168. In this
case, a simple `guix pull && guix package -u' seemed to get rid of the warn=
ings
for them. That's not working for me, and in any case I'd like to figure out
exactly what's going on.


## Vim Version

VIM - Vi IMproved 8.0 (2016 Sep 12, compiled Jan  1 1970 00:00:01)
Included patches: 1-1207
Compiled by nixbld@localhost
Huge version with GTK2 GUI.  Features included (+) or not (-):
+acl             +file_in_path    +mouse_sgr       +tag_old_static
+arabic          +find_in_path    -mouse_sysmouse  -tag_any_white
+autocmd         +float           +mouse_urxvt     +tcl
+balloon_eval    +folding         +mouse_xterm     +termguicolors
+browse          -footer          +multi_byte      +terminal
++builtin_terms  +fork()          +multi_lang      +terminfo
+byte_offset     +gettext         -mzscheme        +termresponse
+channel         -hangul_input    +netbeans_intg   +textobjects
+cindent         +iconv           +num64           +timers
+clientserver    +insert_expand   +packages        +title
+clipboard       +job             +path_extra      +toolbar
+cmdline_compl   +jumplist        +perl            +user_commands
+cmdline_hist    +keymap          +persistent_undo +vertsplit
+cmdline_info    +lambda          +postscript      +virtualedit
+comments        +langmap         +printer         +visual
+conceal         +libcall         +profile         +visualextra
+cryptv          +linebreak       -python          +viminfo
+cscope          +lispindent      +python3         +vreplace
+cursorbind      +listcmds        +quickfix        +wildignore
+cursorshape     +localmap        +reltime         +wildmenu
+dialog_con_gui  +lua             +rightleft       +windows
+diff            +menu            +ruby            +writebackup
+digraphs        +mksession       +scrollbind      +X11
+dnd             +modify_fname    +signs           -xfontset
-ebcdic          +mouse           +smartindent     +xim
+emacs_tags      +mouseshape      +startuptime     +xpm
+eval            +mouse_dec       +statusline      +xsmp_interact
+ex_extra        +mouse_gpm       -sun_workshop    +xterm_clipboard
+extra_search    -mouse_jsbterm   +syntax          -xterm_save
+farsi           +mouse_netterm   +tag_binary     =20
   system vimrc file: "$VIM/vimrc"
     user vimrc file: "$HOME/.vimrc"
 2nd user vimrc file: "~/.vim/vimrc"
      user exrc file: "$HOME/.exrc"
  system gvimrc file: "$VIM/gvimrc"
    user gvimrc file: "$HOME/.gvimrc"
2nd user gvimrc file: "~/.vim/gvimrc"
       defaults file: "$VIMRUNTIME/defaults.vim"
    system menu file: "$VIMRUNTIME/menu.vim"
  fall-back for $VIM: "
/gnu/store/jbpkmj3acvjghjbf14372vwm4rs15c4n-vim-full-8.0.1207/share/vim"
Compilation:
gcc -c
    -I.
    -Iproto
    -DHAVE_CONFIG_H
    -DFEAT_GUI_GTK
    -pthread
    -I/gnu/store/jc0vlr9c8ss28r9cv5ics2bxm3qix0aw-atk-2.24.0/include/atk-1.0
    -I/gnu/store/jnz46rnx9a10jvlkal3ddkc122k9n5vc-cairo-1.14.10/include/cai=
ro
    -I/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/include/free=
type2
    -I/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/include/lib=
png16
    -I/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/include/free=
type2
    -I/gnu/store/ialqfsfb6r966h2laln3dz78zfq952hh-gdk-pixbuf-2.36.10/includ=
e/gdk-pixbuf-2.0
    -I/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/include/glib-=
2.0
    -I/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/lib/glib-2.0/=
include
    -I/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/include/gtk-=
2.0
    -I/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/lib/gtk-2.0/=
include
    -I/gnu/store/d38nlz5qndhf677ckbrmb2hn5b63yiyx-harfbuzz-1.5.1/include/ha=
rfbuzz
    -I/gnu/store/66bqq32pq33r3vz53kiwv36b7fqqprpy-libpng-1.6.29/include/lib=
png16
    -I/gnu/store/di9m4c8pw87ybpwlpyrmppmf9k0li8js-pango-1.40.12/include/pan=
go-1.0
    -I/gnu/store/d7mj8cqdrh8c9ydnrv6zzd48lmb044yz-pixman-0.34.0/include/pix=
man-1
    -g
    -O2
    -U_FORTIFY_SOURCE
    -D_FORTIFY_SOURCE=3D1

Linking:
gcc -L/gnu/store/jc0vlr9c8ss28r9cv5ics2bxm3qix0aw-atk-2.24.0/lib
    -L/gnu/store/jnz46rnx9a10jvlkal3ddkc122k9n5vc-cairo-1.14.10/lib
    -L/gnu/store/a78cx94n43fd4gkasjqzjhjldg2bhipi-fontconfig-2.12.3/lib
    -L/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib
    -L/gnu/store/ialqfsfb6r966h2laln3dz78zfq952hh-gdk-pixbuf-2.36.10/lib
    -L/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/lib
    -L/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/lib
    -L/gnu/store/di9m4c8pw87ybpwlpyrmppmf9k0li8js-pango-1.40.12/lib
    -L.
    -fstack-protector
    -rdynamic
    -Wl,-export-dynamic
    -Wl,-E
    -Wl,-rpath,/gnu/store/gqz3akl1w51v33vcfjsbg1mym5ww3sww-perl-5.26.0/lib/=
perl5/5.26.0/x86_64-linux-thread-multi/CORE
    -Wl,--as-needed
    -o vim
    -L/gnu/store/jc0vlr9c8ss28r9cv5ics2bxm3qix0aw-atk-2.24.0/lib
    -L/gnu/store/jnz46rnx9a10jvlkal3ddkc122k9n5vc-cairo-1.14.10/lib
    -L/gnu/store/a78cx94n43fd4gkasjqzjhjldg2bhipi-fontconfig-2.12.3/lib
    -L/gnu/store/xmsn5afiyqi206i5gm6qn4gab0aij80b-freetype-2.8/lib
    -L/gnu/store/ialqfsfb6r966h2laln3dz78zfq952hh-gdk-pixbuf-2.36.10/lib
    -L/gnu/store/aiyjb393x6p4zkw59r8qmlw7ikv0pdnl-glib-2.52.3/lib
    -L/gnu/store/cmcl8q9s1c49ps0j2ns8h5dfyl7xfj4s-gtk+-2.24.31/lib
    -L/gnu/store/di9m4c8pw87ybpwlpyrmppmf9k0li8js-pango-1.40.12/lib
    -lgtk-x11-2.0
    -lgdk-x11-2.0
    -lpangocairo-1.0
    -latk-1.0
    -lcairo
    -lgdk_pixbuf-2.0
    -lgio-2.0
    -lpangoft2-1.0
    -lpango-1.0
    -lgobject-2.0
    -lglib-2.0
    -lfontconfig
    -lfreetype
    -lSM
    -lICE
    -lXpm
    -lXt
    -lX11
    -lXdmcp
    -lSM
    -lICE
    -lm
    -lncurses
    -lnsl
    -lacl
    -lattr
    -lgpm
    -ldl
    -L/gnu/store/12yp700dkx6rf17lkf8pgq43nxmhr0lx-lua-5.3.4/lib
    -llua
    -Wl,-E
    -Wl,-rpath,/gnu/store/gqz3akl1w51v33vcfjsbg1mym5ww3sww-perl-5.26.0/lib/=
perl5/5.26.0/x86_64-linux-thread-multi/CORE
    -fstack-protector-strong
    -L/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.25/lib
    -L/gnu/store/gqz3akl1w51v33vcfjsbg1mym5ww3sww-perl-5.26.0/lib/perl5/5.2=
6.0/x86_64-linux-thread-multi/CORE
    -lperl
    -lpthread
    -lnsl
    -ldl
    -lm
    -lcrypt
    -lutil
    -lc
    -L/gnu/store/2dlpgzv0rmfd7v71d6h2gc7r2251hzwh-python-3.5.3/lib/python3.=
5/config-3.5m
    -lpython3.5m
    -lpthread
    -ldl
    -lutil
    -lm
    -L/gnu/store/1hl6bvvh1rxwj6p5npf36m2r3n7xvqdw-tcl-8.6.6/lib
    -ltcl8.6
    -ldl
    -lpthread
    -lieee
    -lm
    -Wl,-rpath,/gnu/store/vam0l4xw5v09b0kdfsm7hkfsv0c3ypy2-ruby-2.4.2/lib
    -L/gnu/store/vam0l4xw5v09b0kdfsm7hkfsv0c3ypy2-ruby-2.4.2/lib
    -lruby-static
    -lpthread
    -ldl
    -lcrypt
    -lm
    -L/gnu/store/vam0l4xw5v09b0kdfsm7hkfsv0c3ypy2-ruby-2.4.2/lib




--=20
=E3=82=A6=E3=82=A3=E3=83=AB=E3=82=BD=E3=83=B3 =E3=83=96=E3=83=A9=E3=83=B3=
=E3=83=89=E3=83=B3
=E6=97=A9=E7=A8=B2=E7=94=B0=E5=A4=A7=E5=AD=A6=E5=9F=BA=E5=B9=B9=E7=90=86=E5=
=B7=A5=E5=AD=A6=E7=A0=94=E7=A9=B6=E7=A7=91=E5=BF=9C=E7=94=A8=E6=95=B0=E5=AD=
=A6=E5=B0=82=E6=94=BB

Brandon M. Wilson
Waseda University
School of Fundamental Science and Engineering
Department of Applied Mathematics

--47fk3anyrzk26p7q
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIQEARYIACwWIQQS156pqgI4rzNmRlTit6xA0euTuQUCWfqpxQ4ceEB3aWxzb25i
LmNvbQAKCRDit6xA0euTuTVJAQC+4cDnOKveBobzIuc/C5KjMdYegNzQLjTV5AO3
cEDsiwD/bIY0AZcBX66Lf0R4IhI2sBx0nMEHavSJBd1/DF+waAo=
=qc0c
-----END PGP SIGNATURE-----

--47fk3anyrzk26p7q--




Acknowledgement sent to "B. Wilson" <x@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#29113; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Nov 2017 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.